Bug 1270896 - No possibility to specify network_type as nexus_vxlan
No possibility to specify network_type as nexus_vxlan
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity urgent
: y2
: 7.0 (Kilo)
Assigned To: RHOS Maint
yeylon@redhat.com
: OtherQA, Triaged
Depends On:
Blocks: 1191185
  Show dependency treegraph
 
Reported: 2015-10-12 11:47 EDT by Evgeny
Modified: 2016-04-26 14:53 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-06 09:44:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evgeny 2015-10-12 11:47:52 EDT
Description of problem:
There are only flat,vlan,gre and vxlan types availble. Specifying nexus_vxlan in --neutron-network-type when deploying overcloud fails to deploy.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Timothy Swanson 2015-10-12 12:56:35 EDT
Moving component to rhel-osp-director--This param is blocked at the "openstack overcloud deploy" script level.

The need for the Cisco Nexus ML2 mechanism driver's ability to utilize N9K VXLAN endpoint support for openstack neutron VLAN network segments.

Reference: 
http://docwiki.cisco.com/wiki/OpenStack/ML2NexusMechanismDriver#VXLAN_Overlay_Configuration_in_DevStack
Comment 3 Brad P. Crochet 2015-10-20 13:18:17 EDT
There is nothing in the client that is preventing this.

What error do you see? Have you tried '--neutron-tunnel-types nexus_vxlan --neutron-network-type nexus_vxlan'?
Comment 4 Brad P. Crochet 2015-10-20 14:40:44 EDT
You will also need to create an environment file that specifies:

parameter_defaults:
    NeutronTypeDrivers: vxlan,vlan,flat,gre,nexus_vxlan


and then pass that file with a -e
Comment 5 Timothy Swanson 2015-10-20 16:49:22 EDT
Thanks, Brad... I added my comment based on a meeting discussion with Eugene (the original bug creator).  I think the specifics were misunderstood by me there so I'll get with him and get clarification and help him retest it.

My understanding the things we need to set:
   NeutronTypeDrivers: 'nexus_vxlan,vxlan'
   --neutron-network-type nexus_vxlan OR NeutronNetworkType: 'nexus_vxlan'
   --neutron-disable-tunneling
   --neutron-tunnel-type nexus_vxlan


I just ran redeploy like this and heiradata seems ok but some failures on neutron restart: 

  in openstack overcloud deploy
    --neutron-network-type nexus_vxlan
    --neutron-disable-tunneling
 
  parameter_defaults:
    NeutronMechanismDrivers: 'openvswitch,cisco_nexus,cisco_ucsm'

  parameters:
    NeutronTypeDrivers:  'nexus_vxlan,vlan'

So, I think this BZ is either not valid or would apply to something in heat or puppet.
Comment 6 Evgeny 2015-11-06 09:44:14 EST
it's not valid. I agree now

Note You need to log in before you can comment on or make changes to this bug.